# Parameters in `login_vars.yml`
`login_vars.yml` contains the credentials of the supported devices. This file will be encrypted using ansible vault.
This file is located in [/control_plane/input_params](../../../control_plane/input_params/login_vars.yml)

| Parameter                       | Default, Accepted values | Additional Information                                                                                                                                                                                                                        |
|---------------------------------|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| provision_password   [Required] |                          | Password used when deploying the OS on bare metal servers. <br>   Minimum Length: 8 characters <br> Forbidden Characters:  -,\, ',"                                                                                                           |
| cobbler_password   [Required]   |                          | Password used to authenticate cobbler <br> Minimum Length: 8   characters <br> Forbidden Characters:    -,\, ',"                                                                                                                              |
| idrac_username   [Optional]     |                          | Username used to authenticate iDRAC    <br> Minimum Length: 8 characters <br> Forbidden   Characters:  -,\, ',"                                                                                                                               |
| idrac_password   [Optional]     |                          | Password used to authenticate iDRAC <br> Forbidden Characters:  -,\, '," <br> This parameter is   required if `idrac_support` is true.                                                                                                        |
| awx_password                    |                          | Password used to authenticate AWX    <br> Minimum Length: 8 characters <br> Forbidden   Characters:  -,\, ',"                                                                                                                                 |
| grafana_username                |                          | Username used to authenticate grafana    <br> Minimum Length: 5 characters <br> Forbidden   Characters:  -,\, ',"                                                                                                                             |
| grafana_password                |                          | Password used to authenticate grafana    <br> Minimum Length: 5 characters <br> Forbidden   Characters:  -,\, ',"  <br> Do not set this parameter to   'admin'                                                                                |
| ethernet_switch_username        |                          | Username used to login to the Ethernet Switch  <br> Forbidden Characters:  -,\, ',"                                                                                                                                                           |
| ethernet_switch_password        |                          | Password used to login to the Ethernet Switch  <br> Forbidden Characters:  -,\, ',"                                                                                                                                                           |
| ib_username                     |                          | Username used to login to the Infiniband Switch  <br> Forbidden Characters:  -,\, ',"                                                                                                                                                         |
| ib_password                     |                          | Password used to login to the Infiniband Switch  <br> Forbidden Characters:  -,\, ',"                                                                                                                                                         |
| powervault_me4_username         |                          | Username used to login to the PowerVault    <br> Forbidden Characters:    -,\, ',"                                                                                                                                                            |
| powervault_me4_password         |                          | Password used to login to the PowerVault    <br> Forbidden Characters:    -,\, ',"                                                                                                                                                            |
| ms_directory_manager_password   |                          | Password to authenticate Admin level access to the directory for system   management tasks and will be added to the instance of directory server   created for IPA. <br> Minimum Length: 8 characters <br> Forbidden   Characters:  -,\, ',"  |
| ms_kerberos_admin_password      |                          | Password authenticating the 'admin' account on the IPA server. If 389ds   is in use, this field authenticates the Kerberos Admin.                                                                                                             |
